import std.stdio;

void main()
{
    auto a1 = [ "Jane":10.0, "Jack":20, "Bob":15 ];
    auto a2 = a1;               // a1 и a2 ссылаются на одни данные
    a1["Bob"] = 100;            // Изменяя a1,...
    assert(a2["Bob"] == 100);   // ...мы изменяем a2...
    a2["Sam"] = 3.5;            // ...и
    assert(a1["Sam"] == 3.5);   // наоборот
}
